Bug 430669 - avc: denied { setrlimit } for comm="iscsid"
avc: denied { setrlimit } for comm="iscsid"
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-29 07:50 EST by Milan Zazrivec
Modified: 2008-05-21 12:06 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0465
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:06:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zazrivec 2008-01-29 07:50:04 EST
Description of problem:
avc denial occurs when starting iscsid on a fresh install of
RHEL5.2-Client-20080129.nightly

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.4.6-116.el5 / RHEL5.2-Client-20080129.nightly

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL5.2-Client-20080129.nightly (with iscsi-initiator-utils included)
2. Reboot
3. /etc/init.d/iscsid start (in case it's not on already)
4. Watch dmesg / auditd output for avc denials
  
Actual results:
avc:  denied  { setrlimit } for  pid=3547 comm="iscsid"
scontext=root:system_r:iscsid_t:s0 tcontext=root:system_r:iscsid_t:s0 tclass=process

Additional info:
Version of iscsi-initiator-utils is iscsi-initiator-utils-6.2.0.868-0.3.el5
Comment 1 Daniel Walsh 2008-01-29 09:46:29 EST
I have a policy fix for this in 

selinux-policy-2.4.6-117.el5

Need to get approvals to get this into 5.2
Comment 2 RHEL Product and Program Management 2008-01-29 09:55:25 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Milan Zazrivec 2008-02-06 10:53:36 EST
Verified with selinux-policy-targeted-2.4.6-118.el5 found in
RHEL5.2-Client-20080206.nightly
Comment 6 errata-xmlrpc 2008-05-21 12:06:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0465.html

Note You need to log in before you can comment on or make changes to this bug.